Get details of a bulk export job

This call returns the details of a bulk export job.

When you export files from a project on the Platform into a volume, you write to your cloud storage bucket. This call obtains the details of that job.

Learn more about using the Volumes API for Amazon S3.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
📘

If you are using Seven Bridges Platform EU, please use the following endpoint: https://eu-api.sbgenomics.com/v2/bulk/storage/export/get

📘

When exporting a file from the Platform to an attached volume, export is possible only to a volume that is in the same location (cloud provider and region) as the project from which the file is being exported.

Response

See a list of Seven Bridges Platform-specific response codes that may be contained in the body of the response.

Response body

KeyData typeDescription
idstringThe ID of the particular export job.
statestringThe state of this export job. Possible values are:
  • PENDING: the export is queued
  • RUNNING: the export is running
  • COMPLETED: the export has completed successfully
  • FAILED: the export has failed
sourceobjectExport source, as passed when this job was started by the call to start an export job.
destinationobjectExport destination, as passed when this job was start an export job.
resultobjectFile object that was exported.
errorobjectIn case of error in the export job, standard API error is returned here.
Body Params
export_ids
array of strings

The IDs of the export job as returned by the call to start a bulk export job. Separate IDs with a comma.

export_ids
Headers
string
required

Your Seven Bridges Platform authentication token. For security reasons, token will not be automatically populated in the generated code sample. Please replace <your-token-here> with your token before executing this call.

Response

Language
LoadingLoading…
Response
Choose an example:
application/json